#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nsh_push, "_gpl", "");
KSYMTAB_FUNC(nsh_pop, "_gpl", "");

SYMBOL_CRC(nsh_push, 0xecd6061b, "_gpl");
SYMBOL_CRC(nsh_pop, 0xcbc09bbb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c37d0a6, "pskb_expand_head" },
	{ 0xbd9a1fbf, "skb_push" },
	{ 0x4829a47e, "memcpy" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x85c2e458, "dev_add_offload" },
	{ 0x465980e3, "dev_remove_offload" },
	{ 0xa51c3c9e, "skb_pull_rcsum" },
	{ 0x5327492a, "__pskb_pull_tail" },
	{ 0x49e4ffca, "skb_mac_gso_segment" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "");

